# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           genesis
Version:        0.4.1
Release:        1%{?dist}
Summary:        A graphical frontend for SyncEvolution

Group:          Development/Languages
License:        GPLv3
URL:            https://launchpad.net/genesis-sync
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       syncevolution
%description
Genesis is a graphical frontend for SyncEvolution written in PyGTK. It makes
SyncEvolution accessible without having to use a command line and provides
graphical feedback of transaction results.

%prep
%setup -q


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="%{optflags}" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc PKG-INFO README
# For noarch packages: sitelib
%{python_sitelib}/*
%{_bindir}/genesis
%{_datadir}/applications/genesis.desktop
%dir %{_datadir}/genesis/
%{_datadir}/genesis/*
%{_datadir}/icons/hicolor/22x22/apps/genesis.png
%{_datadir}/icons/hicolor/scalable/apps/genesis.svg
%{_datadir}/pixmaps/genesis.png

%changelog
* Sat Oct 17 2009 <ismael@olea.org> 0.4.1-1
- first release

